Đến nội dung


Hình ảnh
- - - - -

xuất cao độ thiết kế thành file txt


  • Please log in to reply
6 replies to this topic

#1 tranlaogia

tranlaogia

    biết lệnh scale

  • Members
  • PipPipPip
  • 142 Bài viết
Điểm đánh giá: 16 (tàm tạm)

Đã gửi 07 June 2010 - 11:18 AM

em có vấn đề muốn nhờ anh em trong diễn đàn. em muốn xuất cao độ thiết kế ra file excel hoạc txt mà không biết làm cách nào cả. bây giờ mở trắc dọc ra rồi nhập tay tất cả các cao độ thiết kế trên tuyến 10km thì lâu quá các bác ạ. có bác nào giúp được em vấn đề này kô? em cám ơn các bác trước nhé,
  • 0

#2 zmen85

zmen85

    biết vẽ line

  • Members
  • PipPip
  • 28 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 07 June 2010 - 11:43 AM

cái này có phần mền AutoTable có thể xữ lý dc
còn 1 cách đơn giãn hơn là bác dùng phần mền tranfirs lấy taon2 bộ dữ liệu từ máy đo toàn đạc (nếu bạn đo bằng máy này) về excel hoặc cad đều dược
  • 0

#3 cd2k44

cd2k44

    Edu level: li5

  • Members
  • PipPipPipPipPipPipPip
  • 648 Bài viết
Điểm đánh giá: 121 (tàm tạm)

Đã gửi 07 June 2010 - 12:46 PM

cái này có phần mền AutoTable có thể xữ lý dc
còn 1 cách đơn giãn hơn là bác dùng phần mền tranfirs lấy taon2 bộ dữ liệu từ máy đo toàn đạc (nếu bạn đo bằng máy này) về excel hoặc cad đều dược

Tranlaogia có thể sử dụng lisp xuất đối tượng cao độ từ bản vẽ ra file TXT.Quét tất cả các đối tượng text CDTK là được mà.Nếu chưa có lisp đó thì pm vào mail anhtuan011185@gmail.com.Mình gửi cho
  • 0

#4 tranlaogia

tranlaogia

    biết lệnh scale

  • Members
  • PipPipPip
  • 142 Bài viết
Điểm đánh giá: 16 (tàm tạm)

Đã gửi 07 June 2010 - 01:44 PM

Tranlaogia có thể sử dụng lisp xuất đối tượng cao độ từ bản vẽ ra file TXT.Quét tất cả các đối tượng text CDTK là được mà.Nếu chưa có lisp đó thì pm vào mail anhtuan011185@gmail.com.Mình gửi cho

bác có thể up lên diễn đàn đc ko? hoặc là gửi cho em xin theo địa chỉ mail là: tranvantoan49@gmail.com
  • 0

#5 anh.tuan

anh.tuan

    biết lệnh extend

  • Members
  • PipPipPip
  • 196 Bài viết
Điểm đánh giá: 35 (tàm tạm)

Đã gửi 07 June 2010 - 03:26 PM

bác có thể up lên diễn đàn đc ko? hoặc là gửi cho em xin theo địa chỉ mail là: tranvantoan49@gmail.com

nè bạn:
;ChuyÓn Täa §é Vµ Cao §é Sang D¹ng .TXT Vµ Ng­îc L¹i Sö Dông Cho Ch­¬ng Tr×nh TK §­êng NoVa
;Thùc HiÖn : Hoµng Anh TuÊn
;Chi Nh¸nh C«ng Ty T­ VÊn XDGT 533 T¹i TP. Hå ChÝ Minh
;§T : 5120466
;-----------------***********ChuyÓn Cao §é Tõ Acad Vµo Files .TXT**********------------
;********************
(defun doichu ()
(setvar "cmdecho" 0)
(setvar "cmdecho" 0)
(setvar "osmode" 0)
(if_file2)
;(setq s (getstring "\nFilename <Khong-Ten>: "))
;(if (= s nul) (setq s "Khong-Ten"))
(setq fn (open filename2 "w"))
(write-line (strcat "Elevation" " " "Easting" " " "Northing") fn)
(setq i 0)
(setq j 1)
(prompt "\n")
(prompt "\Chän C¸c §iÓm Cao §é : ")
(setq ss (ssget (list (cons 0 "Text"))))
(if ss
(progn
(repeat (sslength ss)
(setq ent (entget (ssname ss i)))
(setq nd (cdr (assoc 1 ent)))
(setq ss1 (cdr (assoc 72 ent)))
(setq ss2 (cdr (assoc 73 ent)))
(if (and (= ss1 0) (= ss2 0))
(setq td (cdr (assoc 10 ent)))
(setq td (cdr (assoc 11 ent)))
)
;(setq td1 (cdr (assoc 10 ent)))
(setq Y (cadr td))
(setq X (car td))
(setq z (caddr td))
(write-line (strcat (rtos j 2 0) " " (rtos X 2 4) " " (rtos Y 2 4) " " nd) fn)
(setq i (+ i 1))
(setq j (+ j 1))
)
)
)
(close fn)
(setvar "osmode" 191)
(prompt "\n**** Chóc B¹n Thµnh C«ng ***")
(princ)
)
;********************************
(defun dtich ()
(setq ss1 (ssget (list (cons 0 "Text"))))
(if ss1
(progn
(setq ent (entget (ssname ss1 0)))
(setq p (cdr (assoc 11 ent)))
(setq nd (cdr (assoc 1 ent)))
)
)
(command "boundary" p "" "area" "o" "l" "erase" "l" "")
(setq dt (strcat (rtos (getvar "area") 2 2)))
)
;**********************************
(defun c:tsn ()
(setvar "cmdecho" 0)
(setq s (getstring "\nFilename <Khong-Ten>: "))
(if (= s nul) (setq s "Khong-Ten"))
(setq fn (open (strcat "d:/" s ".txt") "a"))
(while
(setq stt (getreal "STT:"))
(dtich)
(prompt "\n")
(prompt "\Chän C¸c §iÓm Cao §é : ")
(setq ss (ssget (list (cons 0 "Text"))))
(setq cd (sslength ss))
(if ss
(progn
(cond
((= cd 5)
(progn
(setq ent1 (entget (ssname ss 0)))
(setq ent2 (entget (ssname ss 1)))
(setq ent3 (entget (ssname ss 2)))
(setq ent4 (entget (ssname ss 3)))
(setq ent5 (entget (ssname ss 4)))
(setq nd1 (cdr (assoc 1 ent1)))
(setq nd2 (cdr (assoc 1 ent2)))
(setq nd3 (cdr (assoc 1 ent3)))
(setq nd4 (cdr (assoc 1 ent4)))
(setq nd5 (cdr (assoc 1 ent5)))
(write-line (strcat nd " " nd1 " " nd2 " " nd3 " " nd4 " " nd5 " " dt) fn)
)
)

((= cd 4)
(progn
(setq ent1 (entget (ssname ss 0)))
(setq ent2 (entget (ssname ss 1)))
(setq ent3 (entget (ssname ss 2)))
(setq ent4 (entget (ssname ss 3)))
;(setq ent5 (entget (ssname ss 4)))
(setq nd1 (cdr (assoc 1 ent1)))
(setq nd2 (cdr (assoc 1 ent2)))
(setq nd3 (cdr (assoc 1 ent3)))
(setq nd4 (cdr (assoc 1 ent4)))
(setq nd5 (rtos 0 2 0))
;(setq nd5 (cdr (assoc 1 ent5)))
(write-line (strcat nd " " nd1 " " nd2 " " nd3 " " nd4 " " nd5 " " dt) fn)
)
)

((= cd 3)
(progn
(setq ent1 (entget (ssname ss 0)))
(setq ent2 (entget (ssname ss 1)))
(setq ent3 (entget (ssname ss 2)))
;(setq ent4 (entget (ssname ss 3)))
;(setq ent5 (entget (ssname ss 4)))
(setq nd1 (cdr (assoc 1 ent1)))
(setq nd2 (cdr (assoc 1 ent2)))
(setq nd3 (cdr (assoc 1 ent3)))
(setq nd4 (rtos 0 2 0))
(setq nd5 (rtos 0 2 0))
;(setq nd5 (cdr (assoc 1 ent5)))
(write-line (strcat nd " " nd1 " " nd2 " " nd3 " " nd4 " " nd5 " " dt) fn)
)
)

)

)
)
)
(close fn)
(prompt "\n**** Chóc B¹n Thµnh C«ng ***")
(princ)
)
;*********
(defun c:dc ()
(doichu)
)
;;***************************Mo file
(defun if_file1 (/ name1)
(setq name1 (getfiled "Më TËp Tin Chøa Sè LiÖu"
(strcat "D:/Canhan/Ngkhanh/CongTrinh/" "solieu") "txt" 2))
(if name1 (setq filename1 (strcase name1)))
)
;****************************Ghi file
(defun if_file2 (/ name2)
(setq name2 (getfiled "L­u TËp Tin Sè LiÖu"
(strcat "D:/Canhan/Ngkhanh/CongTrinh/" "solieu") "txt" 1))
(if name2 (setq filename2 (strcase name2)))
)
  • 0

#6 tranlaogia

tranlaogia

    biết lệnh scale

  • Members
  • PipPipPip
  • 142 Bài viết
Điểm đánh giá: 16 (tàm tạm)

Đã gửi 07 June 2010 - 04:28 PM

nè bạn:
;ChuyÓn Täa §é Vµ Cao §é Sang D¹ng .TXT Vµ Ng­îc L¹i Sö Dông Cho Ch­¬ng Tr×nh TK §­êng NoVa
;Thùc HiÖn : Hoµng Anh TuÊn
;Chi Nh¸nh C«ng Ty T­ VÊn XDGT 533 T¹i TP. Hå ChÝ Minh
;§T : 5120466
;-----------------***********ChuyÓn Cao §é Tõ Acad Vµo Files .TXT**********------------
;********************
(defun doichu ()
(setvar "cmdecho" 0)
(setvar "cmdecho" 0)
(setvar "osmode" 0)
(if_file2)
;(setq s (getstring "\nFilename <Khong-Ten>: "))
;(if (= s nul) (setq s "Khong-Ten"))
(setq fn (open filename2 "w"))
(write-line (strcat "Elevation" " " "Easting" " " "Northing") fn)
(setq i 0)
(setq j 1)

(prompt "\n")
(prompt "\Chän C¸c §iÓm Cao §é : ")
(setq ss (ssget (list (cons 0 "Text"))))
(if ss
(progn
(repeat (sslength ss)
(setq ent (entget (ssname ss i)))
(setq nd (cdr (assoc 1 ent)))
(setq ss1 (cdr (assoc 72 ent)))
(setq ss2 (cdr (assoc 73 ent)))
(if (and (= ss1 0) (= ss2 0))
(setq td (cdr (assoc 10 ent)))
(setq td (cdr (assoc 11 ent)))
)
;(setq td1 (cdr (assoc 10 ent)))
(setq Y (cadr td))
(setq X (car td))
(setq z (caddr td))
(write-line (strcat (rtos j 2 0) " " (rtos X 2 4) " " (rtos Y 2 4) " " nd) fn)
(setq i (+ i 1))
(setq j (+ j 1))
)
)
)
(close fn)
(setvar "osmode" 191)
(prompt "\n**** Chóc B¹n Thµnh C«ng ***")
(princ)
)
;********************************
(defun dtich ()
(setq ss1 (ssget (list (cons 0 "Text"))))
(if ss1
(progn
(setq ent (entget (ssname ss1 0)))
(setq p (cdr (assoc 11 ent)))
(setq nd (cdr (assoc 1 ent)))
)
)
(command "boundary" p "" "area" "o" "l" "erase" "l" "")
(setq dt (strcat (rtos (getvar "area") 2 2)))
)
;**********************************
(defun c:tsn ()
(setvar "cmdecho" 0)
(setq s (getstring "\nFilename <Khong-Ten>: "))
(if (= s nul) (setq s "Khong-Ten"))
(setq fn (open (strcat "d:/" s ".txt") "a"))
(while
(setq stt (getreal "STT:"))
(dtich)
(prompt "\n")
(prompt "\Chän C¸c §iÓm Cao §é : ")
(setq ss (ssget (list (cons 0 "Text"))))
(setq cd (sslength ss))
(if ss
(progn
(cond
((= cd 5)
(progn
(setq ent1 (entget (ssname ss 0)))
(setq ent2 (entget (ssname ss 1)))
(setq ent3 (entget (ssname ss 2)))
(setq ent4 (entget (ssname ss 3)))
(setq ent5 (entget (ssname ss 4)))
(setq nd1 (cdr (assoc 1 ent1)))
(setq nd2 (cdr (assoc 1 ent2)))
(setq nd3 (cdr (assoc 1 ent3)))
(setq nd4 (cdr (assoc 1 ent4)))
(setq nd5 (cdr (assoc 1 ent5)))
(write-line (strcat nd " " nd1 " " nd2 " " nd3 " " nd4 " " nd5 " " dt) fn)
)
)

((= cd 4)
(progn
(setq ent1 (entget (ssname ss 0)))
(setq ent2 (entget (ssname ss 1)))
(setq ent3 (entget (ssname ss 2)))
(setq ent4 (entget (ssname ss 3)))
;(setq ent5 (entget (ssname ss 4)))
(setq nd1 (cdr (assoc 1 ent1)))
(setq nd2 (cdr (assoc 1 ent2)))
(setq nd3 (cdr (assoc 1 ent3)))
(setq nd4 (cdr (assoc 1 ent4)))
(setq nd5 (rtos 0 2 0))
;(setq nd5 (cdr (assoc 1 ent5)))
(write-line (strcat nd " " nd1 " " nd2 " " nd3 " " nd4 " " nd5 " " dt) fn)
)
)

((= cd 3)
(progn
(setq ent1 (entget (ssname ss 0)))
(setq ent2 (entget (ssname ss 1)))
(setq ent3 (entget (ssname ss 2)))
;(setq ent4 (entget (ssname ss 3)))
;(setq ent5 (entget (ssname ss 4)))
(setq nd1 (cdr (assoc 1 ent1)))
(setq nd2 (cdr (assoc 1 ent2)))
(setq nd3 (cdr (assoc 1 ent3)))
(setq nd4 (rtos 0 2 0))
(setq nd5 (rtos 0 2 0))
;(setq nd5 (cdr (assoc 1 ent5)))
(write-line (strcat nd " " nd1 " " nd2 " " nd3 " " nd4 " " nd5 " " dt) fn)
)
)

)

)
)
)
(close fn)
(prompt "\n**** Chóc B¹n Thµnh C«ng ***")
(princ)
)
;*********
(defun c:dc ()
(doichu)
)
;;***************************Mo file
(defun if_file1 (/ name1)
(setq name1 (getfiled "Më TËp Tin Chøa Sè LiÖu"
(strcat "D:/Canhan/Ngkhanh/CongTrinh/" "solieu") "txt" 2))
(if name1 (setq filename1 (strcase name1)))
)
;****************************Ghi file
(defun if_file2 (/ name2)
(setq name2 (getfiled "L­u TËp Tin Sè LiÖu"
(strcat "D:/Canhan/Ngkhanh/CongTrinh/" "solieu") "txt" 1))
(if name2 (setq filename2 (strcase name2)))
)

bác có cách nào xuất ra mà tạo thành từng ô của 1 bảng được không? như thế này copy ra excel vẫn chỉ thành 1 ô. vẫn phải sửa lại.
  • 0

#7 anh.tuan

anh.tuan

    biết lệnh extend

  • Members
  • PipPipPip
  • 196 Bài viết
Điểm đánh giá: 35 (tàm tạm)

Đã gửi 07 June 2010 - 05:41 PM

bác có cách nào xuất ra mà tạo thành từng ô của 1 bảng được không? như thế này copy ra excel vẫn chỉ thành 1 ô. vẫn phải sửa lại.

Bạn chịu khó làm bằng excel đi, dùng lệnh xử lý data đó. đâu có cần dùng lisp đâu.
  • 0